Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface EntityBeanMBean

All Superinterfaces:
  EJBMBean, J2EEManagedObjectMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean, StatisticsProvider

All Known Implementing Classes:
  EntityBean

public interface EntityBeanMBean
extends EJBMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`javax.management.j2ee.statistics.Stats` | `getstats()` Obtain the Stats from the StatisticsProvider.
`void` | `resetStats()` Reset all statistics in the StatisticsProvider

Methods inherited from interface org.jboss.management.j2ee.J2EEManagedObjectMBean
`addChild, getobjectName, getparent, iseventProvider, isstateManageable, isstatisticsProvider, removeChild, setparent`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getstats

    public javax.management.j2ee.statistics.Stats getstats()

  Description copied from interface: `EJBMBean`
  Obtain the Stats from the StatisticsProvider.

  Specified by:
    `getstats` in interface `EJBMBean`
  Returns:
    An EJBStats subclass

### resetStats

    public void resetStats()

  Description copied from interface: `EJBMBean`
  Reset all statistics in the StatisticsProvider

  Specified by:
    `resetStats` in interface `EJBMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.